


# reauthenticate method




    *[<Null safety>](https://dart.dev/null-safety)*



- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)

FutureOrResult&lt;[Account](../../wyatt_authentication_bloc/Account-class.md)> reauthenticate
()

_<span class="feature">override</span>_



<p>Some security-sensitive actions—such as deleting an account,
setting a primary email address, and changing a password—require that
the user has recently signed in.</p>
<p>Throws a ReauthenticateFailureInterface if
an exception occurs.</p>



## Implementation

```dart
@override
FutureOrResult<Account> reauthenticate() =>
    Result.tryCatchAsync<Account, AppException, AppException>(
      () async {
        final account = await authenticationRemoteDataSource.reauthenticate();
        return account;
      },
      (error) => error,
    );
```







