


# sendPasswordResetEmail method




    *[<Null safety>](https://dart.dev/null-safety)*



- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)

FutureOrResult&lt;void> sendPasswordResetEmail
({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) email})

_<span class="feature">override</span>_



<p>Sends a password reset email to the provided <code>email</code>.</p>
<p>Throws a SendPasswordResetEmailFailureInterface if an exception occurs.</p>



## Implementation

```dart
@override
FutureOrResult<void> sendPasswordResetEmail({required String email}) =>
    Result.tryCatchAsync<void, AppException, AppException>(
      () async {
        await authenticationRemoteDataSource.sendPasswordResetEmail(
          email: email,
        );
      },
      (error) => error,
    );
```







