



# wyatt_authentication_bloc library






    *[<Null safety>](https://dart.dev/null-safety)*



<p>An authentication library for BLoC.</p>


## Classes

##### [Account](../wyatt_authentication_bloc/Account-class.md)



Represents a user <a href="../wyatt_authentication_bloc/Account-class.md">Account</a> in the 
various identity provisioning systems.


##### [AccountModel](../wyatt_authentication_bloc/AccountModel-class.md)



Account Model to parse Firebase User data


##### [AuthenticationBuilder](../wyatt_authentication_bloc/AuthenticationBuilder-class.md)&lt;Data>






##### [AuthenticationChangeEvent](../wyatt_authentication_bloc/AuthenticationChangeEvent-class.md)



Represents an event initiated by a change in
the user's authentication status.


##### [AuthenticationCubit](../wyatt_authentication_bloc/AuthenticationCubit-class.md)&lt;Data>



Abstract authentication cubit class needs to be implemented in application.


##### [AuthenticationFirebaseDataSourceImpl](../wyatt_authentication_bloc/AuthenticationFirebaseDataSourceImpl-class.md)&lt;Data>






##### [AuthenticationRemoteDataSource](../wyatt_authentication_bloc/AuthenticationRemoteDataSource-class.md)&lt;Data>



Is responsible for abstracting the provenance of the data.


##### [AuthenticationRepository](../wyatt_authentication_bloc/AuthenticationRepository-class.md)&lt;Data>






##### [AuthenticationRepositoryImpl](../wyatt_authentication_bloc/AuthenticationRepositoryImpl-class.md)&lt;Data extends [Object](https://api.flutter.dev/flutter/dart-core/Object-class.html)>






##### [AuthenticationState](../wyatt_authentication_bloc/AuthenticationState-class.md)&lt;Data>






##### [AuthFormField](../wyatt_authentication_bloc/AuthFormField-class.md)



Default authentication form fields name


##### [AuthFormName](../wyatt_authentication_bloc/AuthFormName-class.md)



Default authentication form name


##### [BaseEditAccountCubit](../wyatt_authentication_bloc/BaseEditAccountCubit-class.md)&lt;Data>



Abstract edit account cubit useful for implementing a cubit with fine
granularity by adding only the required mixins.


##### [BaseSignInCubit](../wyatt_authentication_bloc/BaseSignInCubit-class.md)&lt;Data>



Abstract sign in cubit useful for implementing a cubit with fine 
granularity by adding only the required mixins.


##### [BaseSignUpCubit](../wyatt_authentication_bloc/BaseSignUpCubit-class.md)&lt;Data>



Abstract sign up cubit useful for implementing a cubit with fine 
granularity by adding only the required mixins.


##### [CustomRoutine](../wyatt_authentication_bloc/CustomRoutine-class.md)&lt;R, Data>



Calls on each cubit action of this package.


##### [DeletedEvent](../wyatt_authentication_bloc/DeletedEvent-class.md)



When a user deleted his account.


##### [EditAccountCubit](../wyatt_authentication_bloc/EditAccountCubit-class.md)&lt;Data>



Fully featured edit account cubit.


##### [EditAccountListener](../wyatt_authentication_bloc/EditAccountListener-class.md)&lt;Data>



Widget that listens and builds a child based on the state of
the edit account cubit


##### [EditAccountState](../wyatt_authentication_bloc/EditAccountState-class.md)



Edit account cubit state to manage the form.


##### [EmailVerificationBuilder](../wyatt_authentication_bloc/EmailVerificationBuilder-class.md)&lt;Extra>






##### [EmailVerificationCubit](../wyatt_authentication_bloc/EmailVerificationCubit-class.md)&lt;Data>






##### [EmailVerificationState](../wyatt_authentication_bloc/EmailVerificationState-class.md)






##### [PasswordResetCubit](../wyatt_authentication_bloc/PasswordResetCubit-class.md)&lt;Extra>



Cubit that allows user to reset his password


##### [PasswordResetState](../wyatt_authentication_bloc/PasswordResetState-class.md)






##### [ReauthenticatedEvent](../wyatt_authentication_bloc/ReauthenticatedEvent-class.md)



When a user re-authenticates (from the logged in state to the 
logged in state with a different and fresh access 
token and a different login time)


##### [RefreshedEvent](../wyatt_authentication_bloc/RefreshedEvent-class.md)



When a user access token is refreshed (from the logged in state to the 
logged in state with a different access token)


##### [Session](../wyatt_authentication_bloc/Session-class.md)&lt;Data>



The <a href="../wyatt_authentication_bloc/Session-class.md">Session</a> object is used to transport and propagate
the connected user <a href="../wyatt_authentication_bloc/Account-class.md">Account</a> and personalized <code>Data</code> in the application.


##### [SessionWrapper](../wyatt_authentication_bloc/SessionWrapper-class.md)&lt;Data>



Contains the <a href="../wyatt_authentication_bloc/AuthenticationChangeEvent-class.md">AuthenticationChangeEvent</a> initiating the state 
change and the current <a href="../wyatt_authentication_bloc/Session-class.md">Session</a>.


##### [SignedInEvent](../wyatt_authentication_bloc/SignedInEvent-class.md)



When a user authenticates (from not logged in to logged in).


##### [SignedInFromCacheEvent](../wyatt_authentication_bloc/SignedInFromCacheEvent-class.md)



When a user authenticates automatically (from not logged in to logged in).


##### [SignedOutEvent](../wyatt_authentication_bloc/SignedOutEvent-class.md)



When a user logs out.


##### [SignedUpEvent](../wyatt_authentication_bloc/SignedUpEvent-class.md)



When a user creates an account.


##### [SignInCubit](../wyatt_authentication_bloc/SignInCubit-class.md)&lt;Data>



Fully featured sign in cubit.


##### [SignInListener](../wyatt_authentication_bloc/SignInListener-class.md)&lt;Data>



Widget that listens and builds a child based on the state of 
the sign in cubit


##### [SignInState](../wyatt_authentication_bloc/SignInState-class.md)



Sign in cubit state to manage the form.


##### [SignUpCubit](../wyatt_authentication_bloc/SignUpCubit-class.md)&lt;Data>



Fully featured sign up cubit.


##### [SignUpListener](../wyatt_authentication_bloc/SignUpListener-class.md)&lt;Data>



Widget that listens and builds a child based on the state of 
the sign up cubit


##### [SignUpState](../wyatt_authentication_bloc/SignUpState-class.md)



Sign up cubit state to manage the form.


##### [UnknownAuthenticationEvent](../wyatt_authentication_bloc/UnknownAuthenticationEvent-class.md)



When a user's login status is unknown.


##### [UpdatedEvent](../wyatt_authentication_bloc/UpdatedEvent-class.md)



When the user's account has been updated.



## Mixins

##### [SignInAnonymously](../wyatt_authentication_bloc/SignInAnonymously-mixin.md)&lt;Data>



Sign in mixin.


##### [SignInWithEmailPassword](../wyatt_authentication_bloc/SignInWithEmailPassword-mixin.md)&lt;Data>



Sign in mixin.


##### [SignInWithGoogle](../wyatt_authentication_bloc/SignInWithGoogle-mixin.md)&lt;Data>



Sign in mixin.


##### [SignUpWithEmailPassword](../wyatt_authentication_bloc/SignUpWithEmailPassword-mixin.md)&lt;Data>



Sign up mixin.


##### [UpdateEmail](../wyatt_authentication_bloc/UpdateEmail-mixin.md)&lt;Data>



Edit account mixin.


##### [UpdatePassword](../wyatt_authentication_bloc/UpdatePassword-mixin.md)&lt;Data>



Edit account mixin.



## Extensions

##### [BuildContextExtension](../wyatt_authentication_bloc/BuildContextExtension.md)



Extension that helps to quickly access useful resources like wrapper,
session, account or data.






## Enums

##### [AuthenticationStatus](../wyatt_authentication_bloc/AuthenticationStatus.md)



Different authentication status




## Exceptions / Errors

##### [ApplyActionCodeFailureFirebase](../wyatt_authentication_bloc/ApplyActionCodeFailureFirebase-class.md)



Thrown if during the apply action code process if a failure occurs.


##### [ApplyActionCodeFailureInterface](../wyatt_authentication_bloc/ApplyActionCodeFailureInterface-class.md)



Thrown if during the apply action code process if a failure occurs.


##### [AuthenticationFailureInterface](../wyatt_authentication_bloc/AuthenticationFailureInterface-class.md)



Base exception used in Wyatt Authentication


##### [ConfirmPasswordResetFailureFirebase](../wyatt_authentication_bloc/ConfirmPasswordResetFailureFirebase-class.md)



Thrown during the password reset process if a failure occurs.


##### [ConfirmPasswordResetFailureInterface](../wyatt_authentication_bloc/ConfirmPasswordResetFailureInterface-class.md)



Thrown during the password reset process if a failure occurs.


##### [DeleteAccountFailureFirebase](../wyatt_authentication_bloc/DeleteAccountFailureFirebase-class.md)



Thrown during the account deletion if a failure occurs.


##### [DeleteAccountFailureInterface](../wyatt_authentication_bloc/DeleteAccountFailureInterface-class.md)



Thrown during the account deletion if a failure occurs.


##### [FetchSignInMethodsForEmailFailureFirebase](../wyatt_authentication_bloc/FetchSignInMethodsForEmailFailureFirebase-class.md)



Thrown during the fetch sign in methods if a failure occurs.


##### [FetchSignInMethodsForEmailFailureInterface](../wyatt_authentication_bloc/FetchSignInMethodsForEmailFailureInterface-class.md)



Thrown during the fetch sign in methods if a failure occurs.


##### [ModelParsingFailureFirebase](../wyatt_authentication_bloc/ModelParsingFailureFirebase-class.md)



Thrown during the model parsing process if a failure occurs.


##### [ModelParsingFailureInterface](../wyatt_authentication_bloc/ModelParsingFailureInterface-class.md)



Thrown during the model parsing process if a failure occurs.


##### [ReauthenticateFailureFirebase](../wyatt_authentication_bloc/ReauthenticateFailureFirebase-class.md)



Thrown during the reauthentication process if a failure occurs.


##### [ReauthenticateFailureInterface](../wyatt_authentication_bloc/ReauthenticateFailureInterface-class.md)



Thrown during the reauthentication process if a failure occurs.


##### [RefreshFailureFirebase](../wyatt_authentication_bloc/RefreshFailureFirebase-class.md)



Thrown during the refresh process if a failure occurs.


##### [RefreshFailureInterface](../wyatt_authentication_bloc/RefreshFailureInterface-class.md)



Thrown during the refresh process if a failure occurs.


##### [SendEmailVerificationFailureFirebase](../wyatt_authentication_bloc/SendEmailVerificationFailureFirebase-class.md)



Thrown during the email verification process if a failure occurs.


##### [SendEmailVerificationFailureInterface](../wyatt_authentication_bloc/SendEmailVerificationFailureInterface-class.md)



Thrown during the email verification process if a failure occurs.


##### [SendPasswordResetEmailFailureFirebase](../wyatt_authentication_bloc/SendPasswordResetEmailFailureFirebase-class.md)



Thrown during the password reset process if a failure occurs.


##### [SendPasswordResetEmailFailureInterface](../wyatt_authentication_bloc/SendPasswordResetEmailFailureInterface-class.md)



Thrown during the password reset process if a failure occurs.


##### [SendSignInLinkEmailFailureFirebase](../wyatt_authentication_bloc/SendSignInLinkEmailFailureFirebase-class.md)



Thrown during the sign in link process if a failure occurs.


##### [SendSignInLinkEmailFailureInterface](../wyatt_authentication_bloc/SendSignInLinkEmailFailureInterface-class.md)



Thrown during the sign in link process if a failure occurs.


##### [SignInAnonymouslyFailureFirebase](../wyatt_authentication_bloc/SignInAnonymouslyFailureFirebase-class.md)



Thrown during the sign in process if a failure occurs.


##### [SignInAnonymouslyFailureInterface](../wyatt_authentication_bloc/SignInAnonymouslyFailureInterface-class.md)



Thrown during the sign in process if a failure occurs.


##### [SignInWithAppleFailureFirebase](../wyatt_authentication_bloc/SignInWithAppleFailureFirebase-class.md)



Thrown during the sign in process if a failure occurs.


##### [SignInWithAppleFailureInterface](../wyatt_authentication_bloc/SignInWithAppleFailureInterface-class.md)



Thrown during the sign in process if a failure occurs.


##### [SignInWithCredentialFailureFirebase](../wyatt_authentication_bloc/SignInWithCredentialFailureFirebase-class.md)



Thrown during the sign in process if a failure occurs.


##### [SignInWithCredentialFailureInterface](../wyatt_authentication_bloc/SignInWithCredentialFailureInterface-class.md)



Thrown during the sign in process if a failure occurs.


##### [SignInWithEmailAndPasswordFailureFirebase](../wyatt_authentication_bloc/SignInWithEmailAndPasswordFailureFirebase-class.md)



Thrown during the sign in process if a failure occurs.


##### [SignInWithEmailAndPasswordFailureInterface](../wyatt_authentication_bloc/SignInWithEmailAndPasswordFailureInterface-class.md)



Thrown during the sign in process if a failure occurs.


##### [SignInWithEmailLinkFailureFirebase](../wyatt_authentication_bloc/SignInWithEmailLinkFailureFirebase-class.md)



Thrown during the sign in process if a failure occurs.


##### [SignInWithEmailLinkFailureInterface](../wyatt_authentication_bloc/SignInWithEmailLinkFailureInterface-class.md)



Thrown during the sign in process if a failure occurs.


##### [SignInWithFacebookFailureFirebase](../wyatt_authentication_bloc/SignInWithFacebookFailureFirebase-class.md)



Thrown during the sign in process if a failure occurs.


##### [SignInWithFacebookFailureInterface](../wyatt_authentication_bloc/SignInWithFacebookFailureInterface-class.md)



Thrown during the sign in process if a failure occurs.


##### [SignInWithGoogleFailureFirebase](../wyatt_authentication_bloc/SignInWithGoogleFailureFirebase-class.md)



Thrown during the sign in process if a failure occurs.


##### [SignInWithGoogleFailureInterface](../wyatt_authentication_bloc/SignInWithGoogleFailureInterface-class.md)



Thrown during the sign in process if a failure occurs.


##### [SignInWithTwitterFailureFirebase](../wyatt_authentication_bloc/SignInWithTwitterFailureFirebase-class.md)



Thrown during the sign in process if a failure occurs.


##### [SignInWithTwitterFailureInterface](../wyatt_authentication_bloc/SignInWithTwitterFailureInterface-class.md)



Thrown during the sign in process if a failure occurs.


##### [SignOutFailureFirebase](../wyatt_authentication_bloc/SignOutFailureFirebase-class.md)



Thrown during the sign out process if a failure occurs.


##### [SignOutFailureInterface](../wyatt_authentication_bloc/SignOutFailureInterface-class.md)



Thrown during the sign out process if a failure occurs.


##### [SignUpWithEmailAndPasswordFailureFirebase](../wyatt_authentication_bloc/SignUpWithEmailAndPasswordFailureFirebase-class.md)



Thrown if during the sign up process if a failure occurs.


##### [SignUpWithEmailAndPasswordFailureInterface](../wyatt_authentication_bloc/SignUpWithEmailAndPasswordFailureInterface-class.md)



Thrown if during the sign up process if a failure occurs.


##### [UpdateEmailFailureFirebase](../wyatt_authentication_bloc/UpdateEmailFailureFirebase-class.md)



Thrown during the email modification process if a failure occurs.


##### [UpdateEmailFailureInterface](../wyatt_authentication_bloc/UpdateEmailFailureInterface-class.md)



Thrown during the email modification process if a failure occurs.


##### [UpdatePasswordFailureFirebase](../wyatt_authentication_bloc/UpdatePasswordFailureFirebase-class.md)



Thrown during the password modification process if a failure occurs.


##### [UpdatePasswordFailureInterface](../wyatt_authentication_bloc/UpdatePasswordFailureInterface-class.md)



Thrown during the password modification process if a failure occurs.


##### [VerifyPasswordResetCodeFailureFirebase](../wyatt_authentication_bloc/VerifyPasswordResetCodeFailureFirebase-class.md)



Thrown during the password reset process if a failure occurs.


##### [VerifyPasswordResetCodeFailureInterface](../wyatt_authentication_bloc/VerifyPasswordResetCodeFailureInterface-class.md)



Thrown during the password reset process if a failure occurs.







