// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// super program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// super program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with super program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:wyatt_component_copy_with_extension/component_copy_with_extension.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';

part 'top_app_bar_component.g.dart';

@ComponentProxyExtension()
abstract class TopAppBarComponent extends TopBarComponent
    with CopyWithMixin<$TopAppBarComponentCWProxy> {
  const TopAppBarComponent({
    this.title,
    this.centerTitle,
    super.shape,
    super.systemOverlayStyle,
    super.automaticallyImplyLeading,
    super.flexibleSpace,
    super.bottom,
    super.elevation,
    super.scrolledUnderElevation,
    super.shadowColor,
    super.surfaceTintColor,
    super.backgroundColor,
    super.iconTheme,
    super.primary,
    super.excludeHeaderSemantics,
    super.toolbarHeight,
    super.leadingWidth,
    super.leading,
    super.actions,
    super.expandedWidget,
    super.key,
  });
  final TextWrapper? title;
  final bool? centerTitle;
}
