// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/material.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';

abstract class CardThemeExtension extends ThemeExtension<CardThemeExtension> {
  const CardThemeExtension({
    this.backgroundColors,
    this.secondaryBackgroundColor,
    this.borderColors,
    this.shadowColor,
    this.body,
    this.title,
    this.subtitle,
  });

  // Colors
  final MultiColor? backgroundColors;
  final Color? secondaryBackgroundColor;
  final MultiColor? borderColors;
  final BoxShadow? shadowColor;

  // TextStyles
  final TextStyle? body;
  final TextStyle? title;
  final TextStyle? subtitle;
}
